#header-navigation-menu {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 1.5rem;
    position: relative;

    .logo-epsylon { fill: var(--theme-logo-color-main) }
    .logo-chevron { fill: var(--theme-logo-color-alt) }
    .logo--link { display: none }
    #navigation-burger { anchor-name: --navigation-menu }

    .navigation__popover {
        position: fixed;
        inset: auto;
        position-anchor: --navigation-menu;
        top: anchor(bottom);
        border: none;
        background-color: var(--theme-header-popover-bg);
        color: var(--theme-header-color);

        &:popover-open { color: var(--theme-header-popover-color) }
    }

    .navigation__entries {
        background-color: inherit;
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        padding: 0.5rem;
    }

    @media (min-width: 50em) {
        .navigation__popover {
            background-color: inherit;
            display: contents;
        }

        flex-direction: row;

        .logo--button { display: none }
        .logo--link { display: block }

        .navigation__entries {
            flex-direction: row;
            gap: 1.5rem;
        }
    }
}